Subject: Re: [PATCH 12/23] e1000: Maybe stop TX if not enough free descriptors

From: Jeff Garzik <[email-masked]>
Date: Tue, 19 Sep 2006 15:38:01 -0400

Actually, I rescind the ACK.

The code should be inside a spinlock, and therefore not need this 
additional check.

If this check were truly needed, then SMP code all over the kernel would 
be broken.